Bug 37336 - add an "Apply" button in several dialog boxes
Summary: add an "Apply" button in several dialog boxes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
: 81632 89028 92659 92747 (view as bug list)
Depends on:
Blocks: Draw-UX Dialog Impress-UX Writer-UX Calc-UX Base-UX
  Show dependency treegraph
 
Reported: 2011-05-18 15:23 UTC by Greg
Modified: 2019-04-04 09:07 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg 2011-05-18 15:23:51 UTC
This isn't a bug, but a feature request, and it applies to multiple applications (Writer, Draw, and Calc):

I would love to have Apply buttons in many dialog boxes -- notably, the dialog boxes specifying properties for a selected item -- so the user can preview changes before clicking OK.

For example, in Writer, right-clicking on a figure might offer menu commands for Line..., Area...,  Text..., and Position and Size....  Each of these opens a dialog box that would benefit from including an Apply button.

Thank you for the wonderful applications!

Greg
Comment 1 Yifan Jiang 2011-06-12 22:30:40 UTC
Greg, 

    thanks for the suggestion. It is a nice feature from my opinion :)

After opening several obvious dialogs, it can be told most of the dialogs do not have  
an 'apply button' except for:

    1. Page style dialog

    2. Paragraph style dialog

Hi christoph,

    How do you see the value? Shall we put it to the voting pool?

    http://wiki.documentfoundation.org/Vote_for_Enhancement
Comment 2 Christoph 2011-06-13 13:18:12 UTC
Hi Yivan, hi Greg! Having that would also solve one of the most urgent issues in Draw/Impress. So yes, either we should directly work on it, or it should be added to the enhancement list.

Ideas that have been collected by a Design Team member:
http://wiki.documentfoundation.org/Design/Whiteboards/PropertiesButtonLayout

Personally, I think we need to invest a bit more time to come up with something that fits to all dialogs in all applications.
Comment 3 Björn Michaelsen 2011-12-23 12:07:45 UTC Comment hidden (obsolete)
Comment 4 Greg 2012-01-13 22:36:55 UTC
For me, it's sufficient if the Apply button commits the changes, so that even if the user subsequently clicks the Cancel button, the changes already Applied are still in effect.  Another way to look at this is that clicking the OK button does exactly the same thing as clicking Apply then Cancel.
Comment 5 Rainer Bielefeld Retired 2012-10-27 11:33:26 UTC
This one is related to "Bug 56456 - Insert Hyperlink dialog should have 'ok' button additional to 'Apply'"
Comment 6 famo 2012-11-11 22:56:32 UTC
Added the (A)OO feature request under "See Also".

Changed Component to UI.
Comment 7 Joao S. O. Bueno 2012-12-17 13:12:08 UTC
I think this is a long overdue feature. The non-existense of an "apply" button in several dialogs including, but not limitted,IMHO  severely impacts
LibreOffice's usage. 

Think of it this way: without an apply button for things like char or paragraph formatting, require that one 
-makes his changes in a dialog, which can e several,
- hit  OK
- check the results, often having to hit "undo" and "redo" to 
   see "before" and "after"
- If it is not ok, go all the ay to the same formatting dialog again
(which can be as far as 5-6 clicks away with menu navigation), 
- remembers the changes previously done
- tweak the parameters
- start over with "hit ok".

Applications often do feature a whole code path for a "preview" feature
just that the awkward process described above is not needed. See GIMP's filters,
for example. 

GNOME itself thought of this "user right to immediately see the changes" so
important that at one point the "apply" button was removed, and any changes
in a formatting/options dialog is instantaneously reflected on the results.
This is just great - sometimes it gets in the way, so I don  think it as as important as having an explicit apply button, but it is usually better than
having one.
Comment 8 Kumāra 2013-02-23 03:50:21 UTC
I fully support the adding of this enhancement. I recall that Lotus WordPro has this too. Had long wished that it be implemented here. Now, making my wish heard. I personally don't fancy the immediate changes by hitting an Apply button though.
Comment 9 Adolfo Jayme 2015-02-02 11:36:04 UTC
*** Bug 89028 has been marked as a duplicate of this bug. ***
Comment 10 tommy27 2015-10-17 08:33:18 UTC
edited summary notes and set version to "inherited from OOo"
Comment 11 rodhos92 2016-01-20 03:27:49 UTC
*** Bug 81632 has been marked as a duplicate of this bug. ***
Comment 12 rodhos92 2016-01-20 03:33:07 UTC
Is impacting the usability of Calc when scaling the chart's axis.
Comment 13 Yousuf Philips (jay) (retired) 2016-09-28 07:41:52 UTC
*** Bug 92747 has been marked as a duplicate of this bug. ***
Comment 14 Heiko Tietze 2017-01-17 17:00:45 UTC
*** Bug 92659 has been marked as a duplicate of this bug. ***
Comment 15 Heiko Tietze 2017-01-17 17:02:41 UTC
Still missing in most dialogs (v5.4).
Comment 16 rodhos92 2017-05-22 17:33:04 UTC
The bug is still present in LibreOffice 5.3
Comment 17 Kumāra 2017-05-24 08:34:43 UTC
(In reply to Kumāra from comment #8)
> I personally don't fancy the immediate changes by hitting an
> Apply button though.

I was wondering what I was saying, then realise it's a typo. I meant to say:

I personally don't fancy the immediate changes *without* hitting an
Apply button though. (I'm referring to Word's behaviour where changes occur simply highlighting the option in the dialog box.)
Comment 18 Commit Notification 2018-06-06 10:56:12 UTC
Diadlo committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92026741ed7e83119f1de51528480c5a937c0e88

tdf#37336 Added Apply button in options dialog

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Heiko Tietze 2019-03-12 10:07:41 UTC
No further input needed from UX; Apply (and ideally Reset) keeping the dialog open is desirable. OTOH, the request is quite unspecific so QA might want to close or make it a META ticket.